from PyQt4 import QtCore
from PyQt4.QtGui import *

from pagenewuserdata import PageNewUserData
from pagenetid import PageNetID
from pagecommit import PageCommit

class NewPersonWizard(QWizard):
	def __init__(self, parent=None,db=None):
		"""Run the new person wizard."""
		QWizard.__init__(self, parent)
		self.db = db
		self.addPage(PageNetID(self,self.db))
		self.addPage(PageNewUserData(self))
		self.addPage(PageCommit(self,self.db))
		self.resize(400,500)
		self.show()

if __name__ == "__main__":
	app = QApplication([""])
	widget = NewPersonWizard()
	app.exec_()

